> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add an ACS User to a User Identity

> Adds a specified [access system user](https://docs.seam.co/low-level-apis/access-systems/user-management) to a specified [user identity](https://docs.seam.co/capability-guides/mobile-access/managing-mobile-app-user-accounts-with-user-identities#what-is-a-user-identity).

You must specify either `user_identity_id` or `user_identity_key` to identify the user identity.

If `user_identity_key` is provided, but the user identity doesn't exist, a new user identity will be created automatically using information from the ACS user.



## OpenAPI

````yaml /openapi.json post /user_identities/add_acs_user
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /user_identities/add_acs_user:
    post:
      tags:
        - /user_identities
      summary: Add an ACS User to a User Identity
      description: >-
        Adds a specified [access system
        user](https://docs.seam.co/low-level-apis/access-systems/user-management)
        to a specified [user
        identity](https://docs.seam.co/capability-guides/mobile-access/managing-mobile-app-user-accounts-with-user-identities#what-is-a-user-identity).


        You must specify either `user_identity_id` or `user_identity_key` to
        identify the user identity.


        If `user_identity_key` is provided, but the user identity doesn't exist,
        a new user identity will be created automatically using information from
        the ACS user.
      operationId: userIdentitiesAddAcsUserPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_user_id:
                  description: >-
                    ID of the access system user that you want to add to the
                    user identity.
                  format: uuid
                  type: string
                user_identity_id:
                  description: >-
                    ID of the user identity to which you want to add an access
                    system user.
                  format: uuid
                  type: string
                user_identity_key:
                  description: >-
                    Key of the user identity to which you want to add an access
                    system user.
                  type: string
              required:
                - acs_user_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.userIdentities.addAcsUser({
              user_identity_id: "68dd3d7e-c90b-4c89-ad70-3e589014ed87",
              acs_user_id: "d73f4706-67e3-419d-899e-ec957a75ee0c",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/user_identities/add_acs_user" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identity_id": "68dd3d7e-c90b-4c89-ad70-3e589014ed87",
              "acs_user_id": "d73f4706-67e3-419d-899e-ec957a75ee0c"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.user_identities.add_acs_user(
                user_identity_id="68dd3d7e-c90b-4c89-ad70-3e589014ed87",
                acs_user_id="d73f4706-67e3-419d-899e-ec957a75ee0c",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.user_identities.add_acs_user(
              user_identity_id: "68dd3d7e-c90b-4c89-ad70-3e589014ed87",
              acs_user_id: "d73f4706-67e3-419d-899e-ec957a75ee0c",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->user_identities->add_acs_user(
                user_identity_id: "68dd3d7e-c90b-4c89-ad70-3e589014ed87",
                acs_user_id: "d73f4706-67e3-419d-899e-ec957a75ee0c",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam user-identities add-acs-user --user_identity_id
            "68dd3d7e-c90b-4c89-ad70-3e589014ed87" --acs_user_id
            "d73f4706-67e3-419d-899e-ec957a75ee0c"


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````